Reference

Commerce Gateway & Registry API Reference

Edit this page

Commerce Gateway & Registry API Reference

Complete API documentation for the Better Data Commerce Gateway and Commerce Registry.

Base URLs

  • Gateway: https://gateway.betterdata.co
  • Registry: https://registry.betterdata.co

Authentication

All requests require authentication via API key:

1Authorization: Bearer YOUR_API_KEY

Get your API key from app.betterdata.co/settings/api-keys

Gateway Endpoints

List Available Tools

GET /v1/{gateway_id}/tools

Get available tools for a specific AI provider.

Query Parameters:

  • provider (required): claude | openai | grok | gemini
  • session_id (optional): Session identifier

Response:

1{
2 "tools": [
3 {
4 "name": "search_products",
5 "description": "Search for products",
6 "parameters": {
7 "type": "object",
8 "properties": {
9 "query": { "type": "string" },
10 "limit": { "type": "number" }
11 }
12 }
13 }
14 ]
15}

Execute Tool

POST /v1/{gateway_id}/tools/execute

Execute a tool with the specified provider.

Request Body:

1{
2 "provider": "claude",
3 "tool_name": "search_products",
4 "input": {
5 "query": "lipstick",
6 "limit": 10
7 },
8 "session_id": "session-123"
9}

Registry Endpoints

Register Gateway

POST /api/gateways

Register a new gateway in the Commerce Registry.

Get Gateway

GET /api/gateways/{gateway_id}

Get gateway registration details.

Search Gateways

GET /api/gateways/search

Search for gateways by brand, domain, or GTIN.

Query Parameters:

  • q: Search query
  • category: Filter by category
  • verified: Filter by verification status